#!/bin/sh

# Only evaluated if phyCAM-L camera connected.
PHYCAM_L_PORT=0

source /usr/share/phytec-gstreamer-examples/tools/func.sh

detect_sensor_type "CSI1" $PHYCAM_L_PORT
select_format
select_mode "Full"

setup-pipeline-csi1 -f ${CAM_FMT} -s ${CAP_WIDTH}x${CAP_HEIGHT} \
	-c ${CAM_WIDTH}x${CAM_HEIGHT} -o ${CAM_OFFSET} -p ${PHYCAM_L_PORT}

set_controls

echo "================================================================================="
echo "Starting gstreamer with ${CAM_FMT} Source on ${INTERFACE}"
echo "Configured Sensor Mode: ${CAM_MODENAME}"
echo "Capturing ${CAP_WIDTH}x${CAP_HEIGHT} with ${CAP_FMT} from ${CAP_DEVICE}"
echo "and saving the raw data as ${CAM_NAME}_${CAM_COLOR}.raw"
echo "================================================================================="

SOURCE="v4l2src device=${CAP_DEVICE} num-buffers=${CAP_FRAME_CNT}"
SINK="multifilesink location=${CAM_NAME}_${CAM_COLOR}.raw"

echo "  gst-launch-1.0 ${SOURCE} ! \\"
echo "    ${GST_FMT} ! \\"
echo "    ${SINK}"
echo ""

PIPELINE="${SOURCE} ! ${GST_FMT} ! ${SINK}"
gst-launch-1.0 ${PIPELINE}
